Announcement

Collapse
No announcement yet.

vBulletin 4.2.5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by EvilArcana View Post
    Just saw this, will try and upgrade this evening. Anything specific we should be testing?
    All of it

    There were a few minor changes for https, if you run your site on https (in the ACP, and a new option in the config file).
    Baby, I was born this way

    Comment


    • Running 4.2.5 (Beta 4).
      MySql version: 5.6.33-0ubuntu0.14.04.1
      PHP version: 7.0.14-2+deb.sury.org~trusty+1
      No plugins or add ons.

      Seeing the following PHP error in my logs and was just curious if it was anything to be concerned with (took out my domain name between the www and the includes part):

      www: PHP Warning: vb_unserialize: 02 - Invalid unserialize type: 3 at position 0 in /var/www/includes/class_core.php on line 5925

      Comment


      • Hello.

        When i try to upgrade from 4.2.4 to 4.2.5 i get this error:

        Code:
        Unexpected Text:  
         <br /> <b>Warning</b>:  substr() expects parameter 1 to be string, array given in <b>/home/vhosts/xxxxxx.com/httpdocs/foro/includes/class_core.php</b> on line <b>1578</b><br /> <br /> <b>Warning</b>:  substr() expects parameter 1 to be string, array given in <b>/home/vhosts/xxxxxx.com/httpdocs/foro/includes/class_core.php</b> on line <b>1578</b><br /> <br /> <b>Warning</b>:  substr() expects parameter 1 to be string, array given in <b>/home/vhosts/xxxxxx.com/httpdocs/foro/includes/class_core.php</b> on line <b>1578</b><br /> <br /> <b>Warning</b>:  substr() expects parameter 1 to be string, array given in <b>/home/vhosts/xxxxxx.com/httpdocs/foro/includes/class_core.php</b> on line <b>1578</b><br /> <?xml version="1.0" encoding="windows-1252"?> <upgrade> 	<message replace="0">Updating adminmessage table</message> 	<status>Status: Processing 4.2.5 Beta 2, Step 12 of 16</status> 	<longversion>4.2.5 Beta 2</longversion> 	<version>425b2</version> 	<nextstep>12</nextstep> 	<upgradenotice><![CDATA[<strong>Upgrading to 4.2.5 Beta 2</strong>]]></upgradenotice> </upgrade>

        Comment


        • Originally posted by insidethehall View Post
          Running 4.2.5 (Beta 4).
          MySql version: 5.6.33-0ubuntu0.14.04.1
          PHP version: 7.0.14-2+deb.sury.org~trusty+1
          Seeing the following PHP error in my logs and was just curious if it was anything to be concerned with (took out my domain name between the www and the includes part):
          Thats just warnings from the vb_unserialize function that the beta is logging.
          They defaulted to a fatal error in the intial alphas, and then user warnings in the betas.
          Unfortunately, a lot of the old vb code was written to "expect" unserialize to fail, and act accordingly, so the beta logs these as part of normal forum operation..
          They will default to being ignored in the RC and live versions - i.e. not be logged or trigger any sort of error (which is what the native php unserialize function does)..


          Originally posted by drkwizard View Post
          Hello.

          When i try to upgrade from 4.2.4 to 4.2.5 i get this error:

          Code:
          Unexpected Text:
          <br /> <b>Warning</b>: substr() expects parameter 1 to be string, array given in <b>/home/vhosts/xxxxxx.com/httpdocs/foro/includes/class_core.php</b> on line <b>1578
          Thats some array data in your datastore, combined with an auto detect check that is failing
          Its really old code that hasnt been touched in years, and will trigger a warning in some circumstances, I've updated the check in 4.2.5 RC1

          Baby, I was born this way

          Comment


          • Originally posted by Paul M View Post
            Thats just warnings from the vb_unserialize function that the beta is logging.
            They defaulted to a fatal error in the intial alphas, and then user warnings in the betas.
            Unfortunately, a lot of the old vb code was written to "expect" unserialize to fail, and act accordingly, so the beta logs these as part of normal forum operation..
            They will default to being ignored in the RC and live versions - i.e. not be logged or trigger any sort of error (which is what the native php unserialize function does)..
            Thank you, Paul.

            Comment


            • 4.2.5 Release Candidate 1 was released earlier today.
              Baby, I was born this way

              Comment


              • Click image for larger version  Name:	2017-04-06_8-35-48.png Views:	2 Size:	52.0 KB ID:	4367860



                And all my vBulletin 4.2.4 forums are suddenly telling me in the ACP that 4.2.4 has been released and I should upgrade.
                Last edited by djbaxter; Thu 6th Apr '17, 5:37am. Reason: Added screenshot
                Psychlinks Mental Health Support Forum
                Local Search Forum

                Comment


                • Hi

                  I have just upgraded to 4.2.5 RC1

                  I have set my forum URL and homepage URL to https://... in the admincp

                  I have exited and restarted my browser

                  I have changed YUI to google

                  When I visit https://forumname.com/forum i.e. my forum homepage I get an error "connections is not secure: this website contains content that is not secure (such as images)

                  is there anything else I need to be doing?

                  Thank You

                  Edited to add - I have sorted two images that were in the 'system' as http:// these were my titleimage and favicon both of which were sorted by them under in the style manager and changing the absolute url to https://...

                  I still have one image causing a problem this has path

                  Code:
                  http://xxxxx.com/forum/attachment.php?attachmentid=623&stc=1
                  this oddly is in a recent articles widget that has ten thumbnails displayed. Only the first of these has an http:// address, the other nine are https:// and do not generate an error:

                  the code for this widget, in case it helps, is:

                  Code:
                  // Set Your Section ID Here
                  $section = '137';
                  // Set The Number of Articles To Display
                  $limit = '10';
                  // Set The Height of The Thumbnail Image
                  $height = '60';
                  // Set The Width of The Thumbnail Image
                  $width = '60';
                  
                  $articlegrab = vB::$db->query_read("
                  SELECT ".TABLE_PREFIX."cms_nodeinfo.nodeid
                      , ".TABLE_PREFIX."cms_nodeinfo.title
                      , ".TABLE_PREFIX."cms_article.previewimage
                      , ".TABLE_PREFIX."cms_article.previewtext
                      , ".TABLE_PREFIX."cms_article.pagetext
                      , ".TABLE_PREFIX."cms_article.contentid
                      , ".TABLE_PREFIX."cms_node.nodeid
                      , ".TABLE_PREFIX."cms_node.parentnode
                      , ".TABLE_PREFIX."cms_node.contentid
                      , ".TABLE_PREFIX."cms_node.url
                      , ".TABLE_PREFIX."cms_node.publishdate
                      , ".TABLE_PREFIX."cms_node.setpublish
                    FROM ".TABLE_PREFIX."cms_article
                  , ".TABLE_PREFIX."cms_nodeinfo
                  , ".TABLE_PREFIX."cms_node
                    WHERE (".TABLE_PREFIX."cms_nodeinfo.nodeid = ".TABLE_PREFIX."cms_node.nodeid)
                      AND (".TABLE_PREFIX."cms_article.contentid = ".TABLE_PREFIX."cms_node.contentid)
                      AND (".TABLE_PREFIX."cms_node.parentnode IN ($section))
                      AND (".TABLE_PREFIX."cms_node.setpublish != 0)
                    ORDER BY ".TABLE_PREFIX."cms_node.publishdate DESC LIMIT $limit
                  ");
                  
                  
                  while($articleinfo = vB::$db->fetch_array($articlegrab)) {
                  
                      $title = $articleinfo['title'];
                      $image = $articleinfo['previewimage'];
                      $text = $articleinfo['previewtext'];
                      $nodeid = $articleinfo['nodeid'];
                      $url = $articleinfo['url'];
                      $unixdate = $articleinfo['publishdate'];
                      $date = date("F j, Y, g:i a", $unixdate);  
                      $fulltext = strip_bbcode($fulltext);
                      $text = preg_replace('/\[ATTACH\=CONFIG\]\d\d\[\/ATTACH\]/', '', $text);
                      $text = strip_bbcode($text);
                  
                  
                     if($text == '') $text = substr($fulltext, 0,150);
                  
                      $output .= '<center>';
                      if($image != '') $output .= "<img src='".$image."' width='".$width."px' height='".$height."px' /><br />";
                  
                      $output .= "<a href='content.php?".$nodeid."-".$url."'>".$title."</a></center><p>".$text." <a href='content.php?".$nodeid."-".$url."'> <img alt='Read More' src='images/cms/read_more-right.png' title='Read More' border='0'></a></p><br />";
                  //    $output .= "<a href='content.php?".$nodeid."-".$url."'>".$title."</a><br /><p>Publish Date: ".$date."</p></br></center><p>".$text." <a href='content.php?".$nodeid."-".$url."'> <img alt='Read More' src='images/cms/read_more-right.png' title='Read More' border='0'></a></p><br />";
                  }
                  Last edited by sandy771; Thu 6th Apr '17, 7:43am.

                  Comment


                  • Originally posted by sandy771 View Post
                    Hi

                    I have just upgraded to 4.2.5 RC1

                    I have set my forum URL and homepage URL to https://... in the admincp

                    I have exited and restarted my browser

                    I have changed YUI to google

                    When I visit https://forumname.com/forum i.e. my forum homepage I get an error "connections is not secure: this website contains content that is not secure (such as images)

                    is there anything else I need to be doing?

                    Thank You




                    Yes...you need an SSL certificate on your server. Your host can probably help with this, though there's usually a small annual cost.
                    Our article on deploying SSL in vBulletin is here:
                    https://www.vbulletin.com/forum/arti...forum-to-https
                    MARK.B | vBULLETIN SUPPORT

                    TalkNewsUK - My vBulletin 5.5.6 Demo
                    AdminAmmo - My Cloud Demo

                    Comment


                    • Hi Mark

                      Sorry I was not clear - I have an ssl certificate which has been installed OK

                      All is loading via https://

                      But for my home page I get an error as mentioned above - which is now just down to one graphic


                      Click image for larger version

Name:	ssl.jpg
Views:	26
Size:	49.8 KB
ID:	4367872

                      Comment


                      • That's a mixed content warning.

                        You'll need to find where the image is and if it's on your site, change the address for it to https.

                        If it's an external image it's more tricky as it depends on where the image is hosted.
                        MARK.B | vBULLETIN SUPPORT

                        TalkNewsUK - My vBulletin 5.5.6 Demo
                        AdminAmmo - My Cloud Demo

                        Comment


                        • I can't actually make the site in your license load at all using https, it only loads with http.
                          MARK.B | vBULLETIN SUPPORT

                          TalkNewsUK - My vBulletin 5.5.6 Demo
                          AdminAmmo - My Cloud Demo

                          Comment


                          • Originally posted by sandy771 View Post
                            Hi Mark

                            Sorry I was not clear - I have an ssl certificate which has been installed OK

                            All is loading via https://

                            But for my home page I get an error as mentioned above - which is now just down to one graphic


                            Click image for larger version

Name:	ssl.jpg
Views:	26
Size:	49.8 KB
ID:	4367872
                            Propaply there is one o more image files serving over non-https or some broken images also could cause this problem. I suggest you inspect them via firefox and replace non-https image links with https ones would solve the problem.

                            Comment


                            • Hi Mark

                              Yes my main site is still HTTP - I am running a test site to get this sorted first.

                              The problem is that the image is one I have uploaded to VB as an attachment to a post and is served via a link that VB generates via attachment.php

                              Code:
                              http://xxxxx.com/forum/attachment.php?attachmentid=623&stc=1
                              Not that it should matter AFAIAA but original image was uploaded from a local device and has only ever been on my local machine or in VB



                              Comment


                              • Edit the post and save it with no changes....does that correct the problem in that specific post?
                                MARK.B | vBULLETIN SUPPORT

                                TalkNewsUK - My vBulletin 5.5.6 Demo
                                AdminAmmo - My Cloud Demo

                                Comment

                                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                                Working...
                                X